Skip to main content
`Ctrl`+`K`

# minimize(method=’trust-exact’)

scipy.optimize.minimize(fun, x0, args=(), method=None, jac=None, hess=None, hessp=None, bounds=None, constraints=(), tol=None, callback=None, options=None)

  Minimization of scalar function of one or more variables using a nearly exact trust-region algorithm.

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize`

  Options:
    ——-
    initial_trust_radius float

      Initial trust-region radius.

    max_trust_radius float

      Maximum value of the trust-region radius. No steps that are longer than this value will be proposed.

    eta float

      Trust region related acceptance stringency for proposed steps.

    gtol float

      Gradient norm must be less than `gtol` before successful termination.

    subproblem_maxiter int, optional

      Maximum number of iterations to perform per subproblem. Only affects trust-exact. Default is 25.

      Added in version 1.17.0.